<?php
  session_start();
  ob_start();
  include_once('../php/seguranca.php');
  include_once('../php/Repositorio/BuscaUsuariosIntersolid.php');
  include_once('../php/Repositorio/BuscaGrupos.php');
  $idusuario = $_GET['usuario'];
  $consulta = new GerenciadorUsuarios();

  $consultaGrupo = new GerenciadorGrupos();

  $idgrupo = 0;
  // Busque os dados do banco de dados
  $grupoConsulta = $consultaGrupo->buscarGrupo();
  if ($idusuario > 0) {
    $dados = $consulta->buscarUsuario($idusuario);
    if ($dados) {
      // Acesse os dados corretamente
      $nome = $dados[0]['Nome'];
      $pos  = strpos($dados[0]['Email'], '@');
      $user = substr($dados[0]['Email'],0,$pos);
      if (is_null($dados[0]['IdGrupo'])) {
          $idgrupo = 0;
      } else {
        $idgrupo = $dados[0]['IdGrupo'];
      }
   } else {
      $nome = '';
      $user = '';
    }
  } else {
    $nome = '';
    $user = '';
  }
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Control DB - Intersolid ERP </title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  <link rel="stylesheet" href="forms.css">
  <?php
    if (isset($_SESSION['Erro']) && !empty(trim($_SESSION['Erro']))) {

      $mensagemDeErro = $_SESSION['Erro'];
      echo '<script>';
      echo 'console.log("Mensagem de erro:", "' . $mensagemDeErro . '");';
      echo 'alert("' . $mensagemDeErro . '");';
      echo '</script>';
      // echo '<script>alert("' . $mensagemDeErro . '");</script>';
      unset($_SESSION['Erro']); // Remove a variável de sessão após exibição
    }
  ?>
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <!-- /.navbar -->
  <!-- Content Wrapper. Contains page content -->
  <div class="content">
        <!-- Main content -->

      <section class="content">
        <div class="centralizar"  style="width: 99vw; ">
          <div class="container-fluid">
            <div class="row2" style="margin-top: -32%;">
              <!-- left column -->
                <div class="col-md-6">
                  <!-- general form elements -->
                  <?php
                    if ($idusuario == 0) {
                      echo '<div class="card card-success">';
                      echo '<div class="card-header">';
                      echo '<h3 class="card-title">Inclusão Usuário</h3>';
                    } else {
                      echo '<div class="card card-warning">';
                      echo '<div class="card-header">';
                      echo '<h3 class="card-title">Editar Usuário</h3>';
                    }
                  ?>
                    </div>
                    <!-- /.card-header -->
                    <!-- form start -->
                    <form method="post" action="../php/Repositorio/CadUsuarios.php">
                    <?php
                    if ($idusuario == 0) {
                      echo '<input type="hidden" name="acao" id="acao" value="inserir">';
                    } else {
                      echo '<input type="hidden" name="acao"      id="acao" value="editar">';
                    }
                    echo '<input type="hidden" name="idusuario" id="acao" value="'.$idusuario.'">';
                    ?>
                      <div class="card-body">
                        <div class="form-group">
                          <label for="exampleInputEmail1">Nome</label>
                          <input type="Text" style="text-transform:uppercase"  class="form-control" id="exampleInputEmail1" name="nome" placeholder="Digite o Nome" required Value = <?php echo $nome;?>>
                        </div>
                        <div class="form-group">
                          <label for="exampleInputEmail1">Usuário</label>
                          <div class="input-group mb-3">
                            <div class="input-group-prepend">
                              <span class="input-group-text">@</span>
                            </div>
                            <input type="text" style="text-transform:lowercase"  class="form-control"  id="InputUser" name="usuario" placeholder="Digite Usuário (não inclua @, /, ,, \\, -)" required Value = <?php echo $user;?>>
                          </div>
                        </div>
                        <div class="form-group">
                          <label>Grupo de Acesso</label>
                          <select class="custom-select" Name='idgrupo' <?php echo count($grupoConsulta) > 0 ? 'required' : ''; ?>>
                          <option value="" disabled selected>Selecione...</option>
                          <?php foreach($grupoConsulta as $grupoCon){
                            if ($grupoCon['IdGrupo']  == $idgrupo) {
                              echo "<option  value=".$grupoCon['IdGrupo']." selected>".$grupoCon['descricao']."</option>";
                            } else {
                              echo "<option value=".$grupoCon['IdGrupo'].">".$grupoCon['descricao']."</option>";
                            }
                          }

                          ?>
                          </select>
                        </div>
                      </div>
                      <!-- /.card-body -->

                      <div class="card-footer">
                        <?php
                          if ($idusuario == 0) {
                            echo '<button type="submit" class="btn btn-block btn-success">Incluir</button>';
                          } else {
                            echo '<button type="submit" class="btn btn-block btn-warning">Editar</button>';
                          }
                        ?>

                      </div>
                    </form>

                  </div>
                <!-- /.card -->
                  <div class="voltar">
                    <br>
                    <a href="listagemUsuarios.php">
                      <button type="button" class="btn btn-block btn-outline-dark">Voltar</button>
                    </a>
                  </div>
                </div>
                <!--/.col (right) -->

            </div>
            <!-- /.row -->
          </div><!-- /.container-fluid -->

        </div>

      </section>

    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- bs-custom-file-input -->
<script src="../plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>

<script>
    $(function () {
        bsCustomFileInput.init();
    });

    // Função para validar o campo de usuário
    $(document).ready(function() {
        $('#InputUser').on('input', function() {
            var inputValue = $(this).val();
            var sanitizedValue = inputValue.replace(/[@]/g, ''); // Remove @, /, ,, \, -
            $(this).val(sanitizedValue);
        });
    });
</script>
</body>
</html>
